Subject: Re: git-svn error when cloning apache repo

From: Jing Xue <[email-masked]>
Date: Tue, 18 Sep 2007 08:53:52 -0400

On Sun, Sep 16, 2007 at 11:46:49PM +1200, Sam Vilain wrote:
> Jing Xue wrote:
> > $ git svn clone https://svn.apache.org/repos/asf/incubator/ivy/core/ ivy-core -T trunk -b branches -t tags
> > Initialized empty Git repository in .git/
> > Using higher level of URL: https://svn.apache.org/repos/asf/incubator/ivy/core => https://svn.apache.org/repos/asf
> >   
> 
> I'm fairly sure this is where it went wrong. Try editing .git/config and
> putting your original URL in the source URL, and re-try the fetch.

Hmm... thanks, but didn't work. The repo didn't look right to begin
with. The HEAD pointed to refs/heads/master as usual, but there was
nothing in refs/heads at all.

I also tried:
git svn clone https://svn.apache.org/repos/asf/ ivy-core -s --prefix=incubator/ivy/core/

And got no errors, but there wasn't any working tree in ivy-core
afterwards. Then I tried 'git svn rebase':

fatal: ambiguous argument 'HEAD': unknown revision or path not in the working tree.
Use '--' to separate paths from revisions
fatal: Needed a single revision
invalid upstream

Due to the same "nothing in refs/heads" situation. Also there is this
23M file .git/svn/incubator/ivy/core/trunk/.rev_db.13f79535-47bb-0310-9956-ffa450edef6
that contains all 0's.

The part before "I also tried..." was with git 1.5.3.  "I also tried..."
was with git 1.5.3.1.112.gb7a2 as of last night.

Cheers.
-- 
Jing Xue